#include <iostream>
using namespace std;

int main() 
{   
  int n,l,i=0;
  cin>>n>>l;
  for (i=0;i<n;i++){
    int x;
    cin>>x;
    if(x<=l){
      cout<<i+1;
      break;}
    }
  if(i==n)
    cout<<"-1";
  return 0;
}